Subject: Re: [bug#31939] [PATCH 08/13] gnu: Add go-github-com-stevedonovan-luar.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 13 Jul 2018 14:25:16 +0200

Pierre Neidhardt <[email-masked]> skribis:

> * gnu/packages/golang.scm (go-github-com-stevedonovan-luar): New variable.

[...]

> +      (description "Luar is designed to make using Lua from Go more
> +convenient.  Go structs, slices and maps can be automatically converted to Lua
> +tables and vice-versa.  The resulting conversion can either be a copy or a
> +proxy.  In the latter case, any change made to the result will reflect on the
> +source.
> +
> +Any Go function can be made available to Lua scripts, without having to write
> +C-style wrappers.
> +
> +Luar support cyclic structures (map[string]interface{}, lists, etc.).

I believe this last line is not valid Texinfo.  Since the description is
already a big verbose, I’d suggest removing it.

Ludo’.